VSTGUI: IDelegate Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IDelegate Class Referenceabstract
Standalone Library

Application delegate interface. More...

`#include <iappdelegate.h>`

Inheritance diagram for IDelegate:

## Public Member Functions
virtual void | finishLaunching ()=0
| Called when the application has finished launching.
virtual void | onQuit ()=0
| Called when the application is terminating.
virtual bool | canQuit ()=0
| Called to check if it is currently possible to quit.
virtual void | showAboutDialog ()=0
| The delegate should show the about dialog.
virtual bool | hasAboutDialog ()=0
| Is there an about dialog ?
virtual void | showPreferenceDialog ()=0
| The delegate should show the preference dialog.
virtual bool | hasPreferenceDialog ()=0
| Is there a preference dialog ?
virtual const Info & | getInfo () const =0
| Get the application info.
virtual UTF8StringPtr | getSharedUIResourceFilename () const =0
| Get the filename of the shared UI resources.
virtual bool | openFiles (const std::vector< UTF8String > &paths)=0
| Called when the system wants the app to open files.
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T>
const auto | dynamicCast () const
template<typename T>
auto | dynamicCast ()

## Detailed Description

Application delegate interface.

Every VSTGUI application needs a delegate. It's a global instance which handles custom application behaviour.

You define it via Application::Init (std::make_unique<YourDelegateClassType> ())

## Member Function Documentation

## ◆ canQuit()

virtual bool canQuit | ( |  | ) |
| pure virtual

Called to check if it is currently possible to quit.

Implemented in DelegateAdapter.

## ◆ finishLaunching()

virtual void finishLaunching | ( |  | ) |
| pure virtual

Called when the application has finished launching.

Implemented in DelegateAdapter.

## ◆ getInfo()

virtual const Info & getInfo | ( |  | ) | const
| pure virtual

Get the application info.

Implemented in DelegateAdapter.

## ◆ getSharedUIResourceFilename()

virtual UTF8StringPtr getSharedUIResourceFilename | ( |  | ) | const
| pure virtual

Get the filename of the shared UI resources.

If this returns a name than all the UI resources are shared between different uidesc files. If this returns a nullptr, every uidesc file has its own resources.

Implemented in DelegateAdapter.

## ◆ hasAboutDialog()

virtual bool hasAboutDialog | ( |  | ) |
| pure virtual

Is there an about dialog ?

Implemented in DelegateAdapter.

## ◆ hasPreferenceDialog()

virtual bool hasPreferenceDialog | ( |  | ) |
| pure virtual

Is there a preference dialog ?

Implemented in DelegateAdapter.

## ◆ onQuit()

virtual void onQuit | ( |  | ) |
| pure virtual

Called when the application is terminating.

Implemented in DelegateAdapter.

## ◆ openFiles()

virtual bool openFiles | ( | const std::vector< UTF8String > & | paths | ) |
| pure virtual

Called when the system wants the app to open files.

Parameters

  paths | UTF-8 encoded paths to the files

Returns
  true on success

Implemented in DelegateAdapter.

## ◆ showAboutDialog()

virtual void showAboutDialog | ( |  | ) |
| pure virtual

The delegate should show the about dialog.

Implemented in DelegateAdapter.

## ◆ showPreferenceDialog()

virtual void showPreferenceDialog | ( |  | ) |
| pure virtual

The delegate should show the preference dialog.

Implemented in DelegateAdapter.

The documentation for this class was generated from the following file:

- iappdelegate.h